<nb-card>
  <nb-card-body>
    <h4>Trainings</h4>
    <mat-table
      class="trainings-table mat-elevation-z8"
      [dataSource]="dataSource"
      matSort
      matSortActive="fit"
      matSortDirection="desc"
      matSortDisableClear
    >
      <mat-header-row *matHeaderRowDef="displayedColumns"> </mat-header-row>
      <ng-container matColumnDef="title">
        <mat-header-cell *matHeaderCellDef mat-sort-header>
          {{ "TRAININGS.TITLE" | translate }}
        </mat-header-cell>
        <mat-cell *matCellDef="let training">
          {{ training.title }}
        </mat-cell>
      </ng-container>
      <ng-container matColumnDef="link">
        <mat-header-cell *matHeaderCellDef>
          {{ "TRAININGS.LINK" | translate }}
        </mat-header-cell>
        <mat-cell class="status-cell" *matCellDef="let training">
          <a
            href="{{ training.link }}"
            target="_blank"
            rel="noopener noreferrer"
          >
            Link &#8599;
          </a>
        </mat-cell>
      </ng-container>
      <ng-container matColumnDef="rating">
        <mat-header-cell *matHeaderCellDef mat-sort-header>
          {{ "TRAININGS.RATING" | translate }}
        </mat-header-cell>
        <mat-cell *matCellDef="let training">
          {{ training.rating }}
          <br />
          <button
            nbButton
            status="success"
            size="medium"
            class="position-feedback"
            (click)="
              upvoteTraining(training.id, this.dataSource, training.rating)
            "
          >
            {{ "TRAININGS.UPVOTE" | translate }}
          </button>
          <br />
          <button
            nbButton
            status="danger"
            size="medium"
            class="position-feedback"
            (click)="
              downvoteTraining(training.id, this.dataSource, training.rating)
            "
          >
            {{ "TRAININGS.DOWNVOTE" | translate }}
          </button>
        </mat-cell>
      </ng-container>
      <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>
    </mat-table>

    <mat-paginator
      #paginator
      [length]="TrainingCount | async"
      [pageSize]="5"
      [pageSizeOptions]="[3, 5, 10]"
      [showFirstLastButtons]="true"
    >
      <!-- (page)="pageEvent = getDataByPaginator()" -->
      <!--[length]="project?.projectCount"-->
    </mat-paginator>
    <p>
      {{ "PROJECTDETAILS.TRAININGS.SUGGESTION" | translate }}
      <a
        href="https://education.nfdi4ing.de"
        target="_blank"
        rel="noopener noreferrer"
        >{{ "PROJECTDETAILS.TRAININGS.HERE" | translate }}</a
      >
    </p>
    <p>Current Step: {{ currentStep[0] }}</p>
    <p>Stepper: {{ currentStep[1] }}</p>
    <!--Das Printen ist nur zur Verdeutlichung-->
  </nb-card-body>
</nb-card>
